Subject: Re: i18n of git man pages

From: Jean-Noël AVILA <[email-masked]>
Date: Thu, 09 May 2024 16:56:18 +0200

On Wednesday, 8 May 2024 18:30:09 CEST Helge Kreutzmann wrote:
> Hello,
> I'm maintainer of manpages-l10n[1], a collection of translations of man
> pages for over 100 projects into many languages. 
> 
> Our policy is to move translations into the upstream project where
> possible. Only where projects are not interested in maintaining the
> translations for their man pages themselves we host them[2].
> 
> Recently one of our translators approached me to translate the man
> pages for git. Before adding them, I want to check with you if you are
> interested in adding translations of the man pages directly in the git
> project. 
> 
> (Technically, po4a has been proven to be a good tool to maintain
> man page translations).
> 
> Thanks for considering i18n your man page part.
> 
> Greetings
> 
>          Helge
> 
> 
> [1]
> https://manpages-l10n-team.pages.debian.net/manpages-l10n/index.html
> 
> [2] We collected many translated man pages from the web in the past
>     and transferring them upstream is a (very) slow process.
> 

Hello,

I took in charge to provide translation of the man pages of git. The projects 
lives on https://github.com/jnavila/git-manpages-l10n 

As explained in the README file, the strategy has been to translate the sources 
asciidoc files, instead of managing the resulting man pages. Translating the 
source files of the man pages  is needed in order to publish them on git-
scm.com (single source principle), as well as because the sources files use 
asciidoc features such as dedicated macros, conditionals and includes. In 
order to lower the difficulty for translators, the repo is coupled with the 
online translation tool weblate[1] . 

Right now, I'm using a slightly modified version of po4a  for asciidoc (merge 
request pending). This translation gave also way to some improvements of 
asciidoc support for po4a. That's a two way development.

The project was submitted for inclusion in Debian, but lacking more support, 
the process was never achieved. I would be delighted to have the git-manpages 
included in the main distros. For Windows, the inclusion in the main package 
was rejected as it would make it even fatter.

Jean-Noël

[1] https://hosted.weblate.org/projects/git-manpages/